Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.exceloutput
Class ExcelField

    java.lang.Object
      org.pentaho.di.trans.steps.exceloutput.ExcelField

All Implemented Interfaces:
  Cloneable

    public class ExcelField

extends Object
implements Cloneable

Describes a single field in an excel file TODO: allow the width of a column to be set --> data.sheet.setColumnView(column, width); TODO: allow the default font to be set TODO: allow an aggregation formula on one of the columns --> SUM(A2:A151)

Since:
  7-09-2006
Author:
  Matt

Constructor Summary
`ExcelField()`
`ExcelField(String name, int type, String format)`

Method Summary
`Object` | `clone()`
`int` | `compare(Object obj)`
`boolean` | `equal(Object obj)`
`String` | `getFormat()`
`String` | `getName()`
`int` | `getType()`
`String` | `getTypeDesc()`
`void` | `setFormat(String format)`
`void` | `setName(String fieldname)`
`void` | `setType(int type)`
`void` | `setType(String typeDesc)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExcelField

    public ExcelField(String name,
                      int type,
                      String format)

### ExcelField

    public ExcelField()

Method Detail

### compare

    public int compare(Object obj)

### equal

    public boolean equal(Object obj)

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getName

    public String getName()

### setName

    public void setName(String fieldname)

### getType

    public int getType()

### getTypeDesc

    public String getTypeDesc()

### setType

    public void setType(int type)

### setType

    public void setType(String typeDesc)

### getFormat

    public String getFormat()

### setFormat

    public void setFormat(String format)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD